Status by public key
curl --request GET \
--url https://api.neynar.com/v2/farcaster/signer/developer_managed/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/signer/developer_managed/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/signer/developer_managed/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"public_key": "0x3daa8f99c5f760688a3c9f95716ed93dee5ed5d7722d776b7c4deac957755f22",
"status": "pending_approval",
"fid": 3,
"signer_approval_url": "<string>"
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Developer Managed
Status by public key
Fetches the status of a developer managed signer by public key
GET
/
v2
/
farcaster
/
signer
/
developer_managed
/
Status by public key
Node.js SDK
๐ SDK Method: lookupDeveloperManagedSigner Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
Ed25519 public key
Pattern:
^0x[a-fA-F0-9]{64}$Example:
"0x3daa8f99c5f760688a3c9f95716ed93dee5ed5d7722d776b7c4deac957755f22"
Response
Success
Ed25519 public key
Pattern:
^0x[a-fA-F0-9]{64}$Example:
"0x3daa8f99c5f760688a3c9f95716ed93dee5ed5d7722d776b7c4deac957755f22"
Available options:
pending_approval, approved, revoked The unique identifier of a farcaster user or app (unsigned integer)
Required range:
x >= 0Example:
3
Related topics
lookupDeveloperManagedSignerHow writes to Farcaster work with Neynar managed signersSignersSigner RequestsStatusWas this page helpful?